Type TFeld
	Const 	BODENFRAMES	:Int=5
	Const 	BLOCKFRAMES	:Int=3
	Global 	BodenTilesIMG	:TImage = LoadAnimImage("gfx/boden.png",TS,TS,0,BODENFRAMES)
	Global 	BlockTilesIMG	:TImage = LoadAnimImage("gfx/block.png",TS,TS,0,BLOCKFRAMES)
	
	Field BodenTile	:Int 'die Bodenfliesen. Index fr AnimImage welches die Bodenfliesen enthlt
	Field BlockTile	:Int 'die Blcke. Index fr AnimImage. 0=erstes Tile im AnimImage leerer/durchsichtiger Block
	Field Inhalt		:Int '0=begehbar/kein Block, 1=zerstrbarer Block, 5=Bombe, 10=unzerstbar/unpassierbar
	Field Explosion	:Int 'wird auf true gesetzt, solange eine Explosion auf dem Feld ist
	Field Item		:Int 'bekommt den Wert des Items, wenn kein Item, dann = 0
	
	Method Update(x:Int,y:Int)
		If Inhalt = NIX And BlockTile > 0'wenn NIX im Feld aber ein BlockTile da ist
			BlockTile = 0 'BlockTile lschen
		End If
		If Inhalt = NIX And Item > 0'wenn NIX im Feld und ein Item wurde freigelegt
			TItem.Erstellen(x,y,Item) 'Item erstellen
			Item = ITEM_AUFGEDECKT 'und als aufgedeckt markieren.
		End If
	End Method
	
	Method Zeichnen(x:Int,y:Int) 'die Arraywerte fr X und Y werden bergeben
		DrawImage(BodenTilesIMG,x*TS,y*TS,BodenTile) 'und beim Zeichnen mit der TileSize (TS=32)
		DrawImage(BlockTilesIMG,x*TS,y*TS,BlockTile) 'multipliziert, damit sie den richtigen Abstand zueinander haben
		'DrawImage(TItem.ItemIMG,x*TS,y*TS,Item)
	End Method
	
	Function Erstellen:TFeld(Boden:Int) 'BodenTile wird bergeben
		Local NeuesFeld:TFeld = New TFeld
		NeuesFeld.BodenTile=Boden
		Return NeuesFeld		
	End Function

	
End Type