Const ITEM_AUFGEDECKT	:Int = -1 'Werte fr die Items in Konstante setzen
Const ITEM_BOMBE		:Int = 1  'erspart mir wieder den Umgang mit Zahlen
Const ITEM_FEUER		:Int = 2 


Type TItem
	
	Const 	ITEMFRAMES	:Int=3 'Anzahl der Frames der ItemGrafik
	Global 	ItemIMG		:TImage = LoadAnimImage("gfx/items.png",TS,TS,0,ITEMFRAMES)
	
	Global ItemListe		:TList = CreateList() 'eine globale Liste fr alle Items anlegen
	
	Field xFeld		:Int 'Koordinaten des Items auf dem Feld
	Field yFeld		:Int
	Field Item		:Int 'Welches Item ist es? (I_BOMBE, I_FEUER, usw)
	Field Sammler		:Int 'wer hat das Item eingesammelt?

	Method Update()
		If Sammler > 0 'wenn jemand das Item eingesammelt hat
			Select Item
				Case ITEM_BOMBE
					Spieler[Sammler].BombenMenge:+1 'Spieler kann eine Bombe mehr legen
				Case ITEM_FEUER
					Spieler[Sammler].FeuerKraft:+1 'Spieler erhlt mehr FeuerKraft
			End Select
			
			ItemListe.Remove(Self) 'Item aus Liste lschen
		End If
	End Method
	
	Method Zeichnen()
		DrawImage (ItemIMG,xFeld*TS,yFeld*TS,Item)
	End Method
	
	Function Erstellen:TItem (xFeld:Int,yFeld:Int,Item:Int)
		Local NeuesItem:TItem = New TItem
		
		NeuesItem.xFeld = xFeld
		NeuesItem.yFeld = yFeld
		NeuesItem.Item = Item
		
		ItemListe.AddLast(NeuesItem) 'neues Item der globalen ItemListe hinzufgen
	End Function
	
	
End Type