'MainGame.bmx

SuperStrict 'zwingt mich, sauber zu programmieren ;)
Framework 	brl.max2d
Import 		brl.Timer
Import 		brl.Random
Import 		brl.D3D9Max2D
Import 		brl.PNGLoader  

AppTitle = "Bomberman Klon (Community Tutorial)"

'------------------------------ includes			----------
Include "INCLUDES/TKarte.bmx"
Include "INCLUDES/TFeld.bmx"
Include "INCLUDES/TSpieler.bmx"
Include "INCLUDES/TBombe.bmx"
Include "INCLUDES/TExplosion.bmx"
Include "INCLUDES/TItem.bmx"

'------------------------------ Grafikmodus			----------
Const 	BREITE	:Int	= 800
Const 	HOEHE	:Int	= 600	'Ich setze die Bildschirmbreite und Hhe als Konstante
Global 	Vollbild	:Int	= False	'Ob Vollbild oder nicht, soll spter der User entscheiden, darum keine Konstante

SetGraphicsDriver D3D9Max2DDriver()

Graphics BREITE, HOEHE, Vollbild 'Bildschirmmodus wird gesetzt
'AutoMidHandle(1)
'------------------------------ Vorbereitungen		----------
Const 	TS		:Int = 32 'Tilegre (32*32)

Global 	Frames	:TTimer = CreateTimer (120) 'damit das Spiel auf jedem Rechner gleichschnell luft setze ich einen Timer

SeedRnd (MilliSecs()) 'Da ich den "Zufall" im Spiel bentige,fttere ich ihn schonmal mit der Zeit seit dem Systemstart
'------------------------------ Grafiken laden    	----------



'------------------------------ Sounds laden    	----------



'------------------------------ Type-Erstellungen	----------
Global Map:TKarte = TKarte.Erstellen(15,15,0,1,2)
Global Spieler:TSpieler [5] 'es soll maximal 4 Spieler geben, [5] weil es bei 0 anfngt
Spieler[1] = TSpieler.Erstellen(1,2,2,"GFX/robo1.png",20) 'Spieler 1 wird erstellt

'------------------------------ Hauptschleife		----------
Repeat
	Cls 'Backbuffer lschen
	
	Map.Zeichnen() 'die Zeichen Methode von Map wird ausgefhrt
	
	For Local Bombe:TBombe = EachIn TBombe.BombenListe 'jede erstellte Bombe durchgehen
		Bombe.Update()
		Bombe.Zeichnen()
	Next
	
	For Local Explosion:TExplosion = EachIn TExplosion.ExplosionsListe 'jede erstellte Explosion durchgehen
		Explosion.Update()
		Explosion.Zeichnen()
	Next
	
	For Local Item:TItem = EachIn TItem.ItemListe 'jedes erstellte Item durchgehen
		Item.Update()
		Item.Zeichnen()
	Next
	
	Spieler[1].Steuerung()
	Spieler[1].Update()
	Spieler[1].Zeichnen()

	WaitTimer (Frames)	'da Frames=120 wird die Hauptschleife 60 mal pro Sekunde durchlaufen
	Flip (0) 'Backbuffer wird sichtbar (0)=kein VSync
	
Until (KeyHit(KEY_ESCAPE) Or AppTerminate()) 'Programm wird beendet, sobald Escape oder Kreuz oben rechts gedrckt wird
End